package com.sd.business.entity.bom.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class BomSpecPriceQueryDto {

    /**
     * 裸垫分类 1瑜伽垫 2-跳绳垫
     */
    private Integer bomClassify;

    /**
     * 级别配置id
     */
    private Long levelConfigId;

    /**
     * 品类配置id
     */
    private Long categoryConfigId;

    /**
     * 特性配置id，多个按“,”隔开
     */
    private String characterConfigIds;

    /**
     * 颜色配置id，多个按“,”隔开
     */
    private String colourConfigIds;

    /**
     * 压纹类型
     */
    private Long embossing;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 mm
     */
    private BigDecimal height;
}
